<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddFacInfoReq StructType
 * @subpackage Structs
 */
class AddFacInfoReq extends APIRequest
{
    /**
     * The facInfo
     * @var XFacInfo
     */
    public $facInfo;
    /**
     * Constructor method for AddFacInfoReq
     * @uses AddFacInfoReq::setFacInfo()
     * @param XFacInfo $facInfo
     */
    public function __construct(XFacInfo $facInfo = null)
    {
        $this
            ->setFacInfo($facInfo);
    }
    /**
     * Get facInfo value
     * @return XFacInfo|null
     */
    public function getFacInfo()
    {
        return $this->facInfo;
    }
    /**
     * Set facInfo value
     * @param XFacInfo $facInfo
     * @return AddFacInfoReq
     */
    public function setFacInfo(XFacInfo $facInfo = null)
    {
        $this->facInfo = $facInfo;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddFacInfoReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
